summaryrefslogtreecommitdiff
path: root/tests.build/build-chunk-failures-dump-log.script
diff options
context:
space:
mode:
authorSam Thursfield <sam.thursfield@codethink.co.uk>2013-01-29 11:58:13 +0000
committerSam Thursfield <sam.thursfield@codethink.co.uk>2013-02-20 16:50:05 +0000
commit8d9a939630bc677c2d2e7c4202a400f9bc0ab3ad (patch)
tree5739316c27531d30be13809f61d0e1e4e630abe9 /tests.build/build-chunk-failures-dump-log.script
parentb4d343b46883ef52df656f0f6401dc6bb1d6e8dd (diff)
downloadmorph-8d9a939630bc677c2d2e7c4202a400f9bc0ab3ad.tar.gz
Separate out build tests from general Morph tests
Diffstat (limited to 'tests.build/build-chunk-failures-dump-log.script')
-rwxr-xr-xtests.build/build-chunk-failures-dump-log.script42
1 files changed, 42 insertions, 0 deletions
diff --git a/tests.build/build-chunk-failures-dump-log.script b/tests.build/build-chunk-failures-dump-log.script
new file mode 100755
index 00000000..b54c2c1e
--- /dev/null
+++ b/tests.build/build-chunk-failures-dump-log.script
@@ -0,0 +1,42 @@
+#!/bin/bash
+#
+# Copyright (C) 2011-2013 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+## Test building a chunk that fails.
+
+set -eu
+
+chunkrepo="$DATADIR/chunk-repo"
+cd "$chunkrepo"
+git checkout --quiet master
+cat <<EOF >false.morph
+{
+ "name": "false",
+ "kind": "chunk",
+ "build-system": "dummy",
+ "build-commands": [
+ "echo The next command will fail",
+ "false"
+ ]
+}
+EOF
+git add false.morph
+git commit --quiet -m "Make a morphology that fails."
+
+"$SRCDIR/scripts/test-morph" build-morphology \
+ test:chunk-repo master false \
+ 2>/dev/null